WbDependentModule (Gradle API 9.5.0)
Description: declaration: package: org.gradle.plugins.ide.eclipse.model, class: WbDependentModule

Package org.gradle.plugins.ide.eclipse.model

# Class WbDependentModule

java.lang.Object
org.gradle.plugins.ide.eclipse.model.WbDependentModule

All Implemented Interfaces:
  `WbModuleEntry`

public class WbDependentModule extends Object implements WbModuleEntry
A wtp descriptor dependent module entry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WbDependentModule(Node node)`
  `WbDependentModule(String deployPath, String handle)`
  `WbDependentModule(String archiveName, String deployPath, String handle)`
  Constructor for WbDependentModule

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendNode(Node parentNode)`
  `boolean`
  `equals(Object o)`
  `String`
  `getArchiveName()`
  Get the archiveName property.
  `String`
  `getDeployPath()`
  `String`
  `getHandle()`
  `int`
  `hashCode()`
  `void`
  `setArchiveName(String archiveName)`
  Set the archiveName for this module.
  `void`
  `setDeployPath(String deployPath)`
  `void`
  `setHandle(String handle)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WbDependentModule

    public WbDependentModule(Node node)

  - ### WbDependentModule

    public WbDependentModule(String deployPath, String handle)

  - ### WbDependentModule

    @Incubating public WbDependentModule(String archiveName, String deployPath, String handle)
    Constructor for WbDependentModule
    Since:
      8.1

- ## Method Details

  - ### getArchiveName

    @Incubating public String getArchiveName()
    Get the archiveName property.
    Returns:
      the archiveName for this module.
    Since:
      8.1

  - ### setArchiveName

    @Incubating public void setArchiveName(String archiveName)
    Set the archiveName for this module.
    Parameters:
      `archiveName` - the archiveName value to set.
    Since:
      8.1

  - ### getDeployPath

    public String getDeployPath()

  - ### setDeployPath

    public void setDeployPath(String deployPath)

  - ### getHandle

    public String getHandle()

  - ### setHandle

    public void setHandle(String handle)

  - ### appendNode

    public void appendNode(Node parentNode)
    Specified by:
      `appendNode` in interface `WbModuleEntry`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`